%global commit 19b13a8c7c3d28f3c8074911bf2bb2c667310b25
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global shortname mediawriter

%{?mingw_package_header}

Name:           mingw-mediawriter
Version:        0
Release:        1.1git%{shortcommit}%{?dist}
Summary:        Fedora Media Writer

License:        GPLv2+
URL:            https://github.com/MartinBriza/MediaWriter
#Source0:        https://github.com/MartinBriza/MediaWriter/archive/#{version}.tar.gz
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-qt5-qtbase
BuildRequires:  mingw32-qt5-qtdeclarative
BuildRequires:  mingw32-gcc-c++

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-zlib
BuildRequires:  mingw64-qt5-qtbase
BuildRequires:  mingw64-qt5-qtdeclarative
BuildRequires:  mingw64-gcc-c++

BuildRequires:  gettext

%description
A tool to write images of Fedora media to portable drives
like flash drives or memory cards.


# Win32
%package -n mingw32-%{shortname}
Summary:        Fedora Media Writer
BuildArch:      noarch

%description -n mingw32-%{shortname}
A tool to write images of Fedora media to portable drives
like flash drives or memory cards.

# Win64
%package -n mingw64-%{shortname}
Summary:        Fedora Media Writer
BuildArch:      noarch

%description -n mingw64-%{shortname}
A tool to write images of Fedora media to portable drives
like flash drives or memory cards.

%{?mingw_debug_package}

%prep
%autosetup -p1 -n MediaWriter-%{commit}

%build
mkdir build_win32
pushd build_win32
%mingw32_qmake_qt5 PREFIX=%{mingw32_prefix} ../%{shortname}.pro
popd

mkdir build_win64
pushd build_win64
%mingw64_qmake_qt5 PREFIX=%{mingw64_prefix} ../%{shortname}.pro
popd

%mingw_make %{?_smp_mflags}

%install
%mingw_make install INSTALL_ROOT=$RPM_BUILD_ROOT


# Win32
%files -n mingw32-%{shortname}
%{mingw32_bindir}/%{shortname}.exe
%{mingw32_libexecdir}/%{shortname}/

%files -n mingw64-%{shortname}
%{mingw64_bindir}/%{shortname}.exe
%{mingw64_libexecdir}/%{shortname}/

%changelog
* Thu Aug 25 2016 Martin Bříza <mbriza@redhat.com> 0-0.1git0049ab3
- Initial release
